#环境
spring:
  #数据源配置
  datasource:
    url: jdbc:mysql://172.16.90.64:3306/airposrt_activiti?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=GMT%2B8
    username: root
    password: 123456
    type: com.alibaba.druid.pool.DruidDataSource
    #freemarker模板配置
    freemarker:
      request-context-attribute: req  #req访问request
      suffix: .ftl
      cache: false
      charset: UTF-8
      contentType: text/html
      requestContextAttribute: ctx
      templateEncoding: UTF-8
      templateLoaderPath: classpath:/templates/
      settings:
        defaultEncoding: UTF-8
        url_escaping_charset: UTF-8
        locale: zh_CN
    http:
      multipart:
        max-file-size: -1
        max-request-size: -1
      activiti:
        check-process-definitions: false
  activiti:
    check-process-definitions: true
    # 检测身份信息表是否存在
    db-identity-used: true
    #false：       默认值。activiti在启动时，会对比数据库表中保存的版本，如果没有表或者版本不匹配，将抛出异常。（生产环境用）
    #true：        activiti会对数据库中所有表进行更新操作。如果表不存在，则自动创建。（开发时常用）
    #create_drop： 在activiti启动时创建表，在关闭时删除表（必须手动关闭引擎，才能删除表）。（单元测试常用）
    #drop-create： 在activiti启动时删除原来的旧表，然后在创建新表（不需要手动关闭引擎）
    #none不作操作
    database-schema-update: none
mybatis:
  mapper-locations: classpath:mapper/**/*.xml
  type-aliases-package: com.activiti6.**.entity
